Bug 449132 - RH 5.2 Xen - multipath device files change for iSCSI array
RH 5.2 Xen - multipath device files change for iSCSI array
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.2
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 13:43 EDT by Hector Arteaga
Modified: 2010-01-11 21:42 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 16:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zip file containing multipath config file and output from multipaht -l (15.14 KB, application/x-zip-compressed)
2008-05-30 13:43 EDT, Hector Arteaga
no flags Details

  None (edit)
Description Hector Arteaga 2008-05-30 13:43:31 EDT
Description of problem:
The device files created by the multipath daemon (/dev/dm-#) files change 
around for the MSA2000i array in my setup.  The device files for all  my other 
Fibre Channel arrays remain the same, but rebooting my server often times 
results in my iSCSI device files shifting around or changing all together.  
I've created a zip file with the output of "multipath -l" on 2 different 
occasions showing the device files being different.  Also attached is the 
directory output of /sys/block on the 2 different occasions and my 
multipath.conf file. 

Version-Release number of selected component (if applicable):
found on Redhat 5.2 snapshot 7

How reproducible:
happens frequently although not everytime (about 50% of the time).

Steps to Reproduce:
1. Present several luns (4+) to host from an iSCSI array (MSA2000i in my case)
2. Take a not of how the luns are mapped
3. Reboot the server
4. Compare the current mappings with the previous ones
  
Actual results:


Expected results:


Additional info:
Comment 1 Hector Arteaga 2008-05-30 13:43:31 EDT
Created attachment 307219 [details]
Zip file containing multipath config file and output from multipaht -l
Comment 2 Dave Wysochanski 2008-06-02 11:26:22 EDT
The /dev/dm-N device files are not guaranteed to be the same across reboots,
reguardless of protocol.  If you want device persistency, you must use the UUID
or user_friendly_names options (devices in /dev/mapper/...) for multipath devices.

I would like to close this as NOTABUG.  Are you ok with this outcome - do you
find the above explanation acceptable?
Comment 3 Hector Arteaga 2008-06-04 16:35:40 EDT
I was under the impression that the dm-# files would be persistant accross 
reboots.  Seeing as how this is not the case, please close this issue as 
NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.